package com.uas.account.entity;

import java.util.Date;

/**
 * 合作伙伴邀请记录
 * 
 * @author hejq
 * @time 创建时间：2017年7月28日
 */
public class InvitationRecord {

	private Long id;
	
	/**
	 * 邀请企业uu
	 */
	private Long enuu;
	
	/**
	 * 邀请注册营业执照号
	 */
	private String bussinesscode;

	/**
	 * 用户uu
	 */
	private Long useruu;

	/**
	 * 最后一次邀请时间
	 */
	private Date date;

	/**
	 * 邀请的客户名称
	 */
	private String vendname;

	/**
	 * 邀请的用户名称
	 */
	private String vendusername;

	/**
	 * 邀请的用户的电话
	 */
	private String vendusertel;

	/**
	 * 邀请的用户的邮箱
	 */
	private String venduseremail;

	/**
	 * 可能出现重复邀请的情况，记录邀请次数
	 */
	private Integer count;

	/**
	 * 是否已激活
	 */
	private Short active;

	/**
	 * 相同名称企业的数量
	 */
	private Integer samecount;

	/**
	 * 企业uu(如果有相同名称的设置方便查询）
	 */
	private Long venduu;

	/**
	 * 邀请来源，如果设置了来源是ERP，需要自动添加为供应商
	 */
	private String source;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getEnuu() {
		return enuu;
	}

	public void setEnuu(Long enuu) {
		this.enuu = enuu;
	}

	public String getBussinesscode() {
		return bussinesscode;
	}

	public void setBussinesscode(String bussinesscode) {
		this.bussinesscode = bussinesscode;
	}

	public Long getUseruu() {
		return useruu;
	}

	public void setUseruu(Long useruu) {
		this.useruu = useruu;
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public String getVendname() {
		return vendname;
	}

	public void setVendname(String vendname) {
		this.vendname = vendname;
	}

	public String getVendusertel() {
		return vendusertel;
	}

	public void setVendusertel(String vendusertel) {
		this.vendusertel = vendusertel;
	}

	public String getVenduseremail() {
		return venduseremail;
	}

	public void setVenduseremail(String venduseremail) {
		this.venduseremail = venduseremail;
	}

	public Integer getCount() {
		return count;
	}

	public void setCount(Integer count) {
		this.count = count;
	}

	public String getVendusername() {
		return vendusername;
	}

	public void setVendusername(String vendusername) {
		this.vendusername = vendusername;
	}

	public Short getActive() {
		return active;
	}

	public void setActive(Short active) {
		this.active = active;
	}

	public Integer getSamecount() {
		return samecount;
	}

	public void setSamecount(Integer samecount) {
		this.samecount = samecount;
	}

	public Long getVenduu() {
		return venduu;
	}

	public void setVenduu(Long venduu) {
		this.venduu = venduu;
	}

	public String getSource() {
		return source;
	}

	public void setSource(String source) {
		this.source = source;
	}

}
